-- إنشاء قاعدة البيانات
CREATE DATABASE IF NOT EXISTS vmquick_db CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci;

-- استخدام قاعدة البيانات
USE vmquick_db;

-- إنشاء جدول المستخدمين
CREATE TABLE IF NOT EXISTS users (
    id INT AUTO_INCREMENT PRIMARY KEY,
    username VARCHAR(50) NOT NULL UNIQUE,
    password VARCHAR(255) NOT NULL,
    created_at TIMESTAMP DEFAULT CURRENT_TIMESTAMP,
    updated_at TIMESTAMP DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

-- إضافة مستخدمين افتراضيين
INSERT INTO users (username, password) VALUES 
('admin', '$argon2id$v=19$m=65536,t=4,p=1$YXNkZmFzZGZhc2Rm$123456'),
('user', '$argon2id$v=19$m=65536,t=4,p=1$YXNkZmFzZGZhc2Rm$password'); 